gdm3 (50.0-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/p: Drop patch applied upstream
  * d/gdm3.install: Disable prompting-client service in the greeter

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Mar 2026 12:27:52 +0100

gdm3 (50~rc-0ubuntu1) resolute; urgency=medium

  [ Alessandro Astone ]
  * New upstream release
  * d/p/u: Refresh patches
  * d/p: Update EXTRA_DEVICE_ACCESS patch as proposed upstream
  * d/control: Breaks gnome-remote-desktop

  [ Jonas Jelten ]
  * d/t/sssd-gdm-smartcard-pam-auth-tester: allow sssd to run as non-root
    (LP: #2130705)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 04 Mar 2026 12:59:54 +0100

gdm3 (50~beta-0ubuntu3) resolute; urgency=medium

  * d/p: Enable GPU rendering in GNOME Remote Desktop session (LP: #2077538)
  * d/p: Drop patch for systemd mismatch
  * d/control: Depend on libsystemd >= 259

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Feb 2026 16:28:20 +0100

gdm3 (50~beta-0ubuntu2) resolute; urgency=medium

  [ Jonas Jelten ]
  * d/t/sssd-gdm-smartcard-pam-auth-tester: remove sssd implicit files domain
    (Closes: #1126368) (LP: #2130705)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 17 Feb 2026 11:56:35 +0100

gdm3 (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release:
    - libgdm/client: Track proxies connection state and do not return invalid
      ones (LP: #2125720)
    - Fix GNOME login screen stops responding (LP: #2125720)
    - Fix PAM Worker crash breaks further logins (LP: #2117248)
  * debian/rules: Remove unused udevdir variable
  * d/p: Refresh git indexes
  * debian/libgdm1.symbols: Add new symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 17 Feb 2026 00:07:21 +0100

gdm3 (50~alpha.1-0ubuntu2) resolute; urgency=medium

  * d/tests: Skip greeter test if no primary GPU is detected

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Feb 2026 12:50:59 +0100

gdm3 (50~alpha.1-0ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.sysusers: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + debian/greeter.dconf-defaults:
      - don't set debian settings in the greeter's dconf db
      - keep smartcard auth enabled by default
    + Add systemd drop-in to skip snapd.session-agent in the greeter session
      (LP #2125133)
  * New upstream release 50.alpha.1
  * d/p/launch-environment: Drop patch applied upstream
  * d/p/u/Never-use-Xorg-for-the-greeter.patch: Drop patch not necessary anymore
  * d/p/16_xserver_path.patch, d/rules: Drop patch not necessary anymore
  * d/p/94_retain_xorg_log.patch: Drop unused patch
  * d/p/u/nvidia_prime.patch: Drop unsupported patch
  * d/p: Rebase all other patches
  * d/rules: Drop unused configuration options
  * d/rules: Stop deleting source files in clean
  * d/install: Cleanup non existing files
  * d/install: Add new installed files
  * d/symbols: Update symbols
  * d/control: Bump minimum gnome-shell and gnome-session

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 12 Jan 2026 10:17:10 +0100

gdm3 (49.2-3) unstable; urgency=medium

  [ Alessandro Astone ]
  * d/tests: Add autopkgtest verifying that the greeter registers

  [ Jeremy Bícha ]
  * Remove Recommends: xserver-xorg
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Dec 2025 09:29:21 -0500

gdm3 (49.2-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * d/control: Remove obsolete dependency on dbus-daemon

  [ Jeremy Bícha ]
  * Remove support for DEB_BUILD_OPTIONS=debug

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Dec 2025 22:34:05 -0500

gdm3 (49.2-1ubuntu4) resolute; urgency=medium

  * Fix greeter startup with systemd version mismatch.
    When compiling against the latest libsystemd but then loading an older
    libsystemd at runtime, it will error due to not recognizing a new flag.
    Add d/p/userdb-Temporarily-unset-SD_VARLINK_SERVER_MODE_MKDIR_075.patch
    to address this issue until the newer systemd migrates out of proposed.
    (LP: #2135922)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Dec 2025 10:08:30 +0100

gdm3 (49.2-1ubuntu3) resolute; urgency=medium

  * Relax versioned dependency on systemd

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 12 Dec 2025 11:39:41 +0100

gdm3 (49.2-1ubuntu2) resolute; urgency=medium

  * Fix wireplumber not remembering the last used configuration (LP: #2131628)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 05 Dec 2025 16:33:50 +0100

gdm3 (49.2-1ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.sysusers: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + debian/greeter.dconf-defaults:
      - don't set debian settings in the greeter's dconf db
      - keep smartcard auth enabled by default
    + Disable x11 greeter
      - add d/p/Never-use-Xorg-for-the-greeter.patch
      - d/control: Drop dependency on Xorg
    + Add systemd drop-in to skip snapd.session-agent in the greeter session
      (LP #2125133)
    + d/control: Drop unused dependency on dbus-daemon

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 25 Nov 2025 11:27:15 +0100

gdm3 (49.2-1) unstable; urgency=medium

  * New upstream release
  * Disable xdmcp; this feature is being removed for GNOME 50 anyway
  * Remove obsolete Conflicts/Replaces
  * Remove obsolete Recommends: xserver-xephyr (Closes: #792220)
  * Remove obsolete details from README.Debian
  * Add patch to support Debian's Xsession.options.d
  * Add patch from Ubuntu to have Xsession run scripts from /etc/X11/Xsession.d
  * Add patch from Ubuntu to use x-terminal-emulator instead of xterm
  * Add patch from Ubuntu to handle /etc/X11/Xresources/*
  * Fix what appears to be a mistake in the Xresources patch description
  * Use upstream's Xsession file (with some patching as mentioned above)
    (Closes: #1120328)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Nov 2025 19:38:50 -0500

gdm3 (49.1-6ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.sysusers: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + debian/greeter.dconf-defaults:
      - don't set debian settings in the greeter's dconf db
      - keep smartcard auth enabled by default
    + Disable x11 greeter
      - add d/p/Never-use-Xorg-for-the-greeter.patch
      - d/control: Drop long unused dependency on Xephyr
      - d/control: Drop dependency on Xorg
    + Add systemd drop-in to skip snapd.session-agent in the greeter session
      (LP: 2125133)
    + d/control: Drop unused dependency on dbus-daemon

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 07 Nov 2025 10:16:20 +0100

gdm3 (49.1-6) unstable; urgency=medium

  * Team upload
  * d/Xsession, d/gdm3.install, d/rules:
    Restore ability to launch X11 sessions.
    Version 49.0.1-1 removed the example of a non-package-manager-provided
    X11 session, but also removed the ability to launch X11 sessions
    at all: all sessions that do not have X-GDM-BypassXsession
    in their .desktop file require an Xsession script, which was
    historically provided by Debian rather than by upstream. Restore
    that functionality.
    In a future upload we should look at whether we can use
    /etc/X11/Xsession as-is, but let's get the GNOME 49 transition
    done first.

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 19:13:51 +0000

gdm3 (49.1-5) unstable; urgency=medium

  * Team upload
  * d/control: Increase gnome-session-{bin,common} dependency to 49.
    The new version of gdm doesn't start successfully with the old
    gnome-session. The new gnome-session-bin already Breaks the older
    gdm3, but the new gdm3 didn't yet force installation of the new
    gnome-session. (Closes: #1119809)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 18:12:04 +0000

gdm3 (49.1-4) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #1116394)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 10:49:43 +0000

gdm3 (49.1-3) experimental; urgency=medium

  * Team upload
  * d/control: Remove :native annotation from dconf-cli.
    Now that dconf-cli is Multi-Arch: foreign, this is unsatisfiable.

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 16:51:20 +0000

gdm3 (49.1-2) experimental; urgency=medium

  * Team upload
  * d/control: Depend on a version of libnss-systemd with #1118640 fixed.
    Otherwise, looking up the gdm-greeter* dynamic users in shadow/gshadow
    will not work on systems that were installed as Debian 11 or older,
    and then upgraded. (Closes: #1116563, #1118454) (LP: #2121017)
  * d/greeter.dconf-defaults: Improve documentation a bit
  * d/greeter.dconf-defaults: Mention the accent colour option.
    When we reach the forky freeze and background/branding images become
    available in desktop-base, we might want to set this to a coordinating
    colour (see #1105056). Until then, leave the default commented-out.

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 15:18:06 +0000

gdm3 (49.1-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream bugfix release

  [ Luca Boccassi ]
  * Do not patch out display-manager.service alias from .service file
    (Closes: #1025349)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Oct 2025 10:28:41 +0100

gdm3 (49.0.1-1ubuntu2) questing; urgency=medium

  * Add d/p/userdb-Handle-missing-UID-correctly-in-user-record-query.patch.
    Fix an issue where querying the userdb service for information on uid 0
    would incorrectly return the information for one of the gdm dynamic users.
    This confused logind/polkit causing permission errors in a gdm-greeter or
    gnome-initial-setup session (LP: #2122340).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 26 Sep 2025 09:59:24 +0200

gdm3 (49.0.1-1ubuntu1) questing; urgency=medium

  * Merge with debian for new bugfix release (LP: #2125340)
    Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.sysusers: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
    + debian/greeter.dconf-defaults: keep smartcard auth enabled by default
    + Disable x11 greeter
      - add d/p/Never-use-Xorg-for-the-greeter.patch
      - d/control: Drop long unused dependency on Xephyr
      - d/control: Drop dependency on Xorg
  * Add systemd drop-in to skip snapd.session-agent in the greeter session
    (LP: #2125133)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 11:16:31 +0200

gdm3 (49.0.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * udev rules are no longer installed
  * Completely stop providing Debian custom xsession support

  [ Alessandro Astone ]
  * d/libgdm1.symbols: Add new symbols
  * d/rules: Remove obsolete meson options screenshot-dir, ran-once-marker-dir
  * Remove gcc 15 patch: applied in new release

  [ Daniel van Vugt ]
  * Make gdm3 depend on libnss-systemd (LP: #2121017)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 20:47:25 -0400

gdm3 (49~rc-0ubuntu2) questing; urgency=medium

  * Never use Xorg for the greeter (LP: #2122294)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 09 Sep 2025 17:31:45 +0200

gdm3 (49~rc-0ubuntu1) questing; urgency=medium

  * New upstream release:
    - Fix greeter starting before a GPU driver has loaded (LP: #2115451)
  * debian: Restore support for logging into X11 sessions
    - This also restores support for running the greeter in X11 mode,
      because the two couldn't be decoupled in time for GNOME 49.
  * d/rules: Restore working-dir meson option
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Sep 2025 12:00:40 +0200

gdm3 (49~beta-0ubuntu3) questing; urgency=medium

  * Make gdm3 depend on libnss-systemd (LP: #2121017)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 01 Sep 2025 17:19:47 +0800

gdm3 (49~beta-0ubuntu2) questing; urgency=medium

  * Merge with Debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.sysusers: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
    + debian/greeter.dconf-defaults: keep smartcard auth enabled by default
    + New upstream release 49~beta
      - d/control: Drop dependency on dbus-daemon
      - d/control: Require gnome-session 49~beta
      - d/rules: Drop meson options working-dir, screenshot-dir,
        ran-once-marker-dir
    + Disable x11 greeter
      - d/rules: Disable x11-support flag
      - d/control: Drop unused build-deps
      - d/control: Drop long unused dependency on Xephyr
      - d/control: Drop dependency on Xorg

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 18 Aug 2025 21:10:23 +0200

gdm3 (48.0-3) unstable; urgency=medium

  * Team upload

  [ Luca Boccassi ]
  * Use a sysusers.d file to create the Debian-gdm user.
    This allows /usr-only images with an ephemeral/factory reset/firstboot
    /etc/. (Closes: #1107682)

  [ Simon McVittie ]
  * Activate dh_installsysusers declaratively rather than imperatively.
    This lets debhelper choose a good point in the sequence for it.
  * d/gdm3.postrm, d/control: Don't delete system user/group during purge.
    In previous discussions like #1006912 there seems to be consensus
    that removing uids is dangerous because there might still be files
    owned by that uid on the filesystem, causing unintended access to be
    granted if the uid is subsequently reused for a different system user.
    This also means we can drop the adduser dependency.
  * Build-depend on gir1.2-*-dev instead of libgirepository1.0-dev.
    libgirepository1.0-dev is not Multi-Arch co-installable and should be
    phased out during the forky release cycle.
  * d/control, d/rules: Let the package be cross-compiled.
    debhelper currently uses debcrossgen which does not support cross
    GObject-Introspection, so for now we need to opt-in to using
    `meson env2mfile` instead.
    We need to run dconf-cli from the build architecture, since we will
    be unable to run it from the host architecture in general.
  * d/copyright: Don't quote the FSF's former postal address
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Aug 2025 10:53:47 +0100

gdm3 (48.0-2) unstable; urgency=medium

  * Team upload
  * d/greeter.dconf-defaults: Remove non-functional theming options.
    The visual design of the greeter (login prompt) is no longer intended
    to be configurable, and in particular the background is no longer
    configurable, so none of the background-related settings have any
    effect. The greeter also does not use GTK, so changing the GTK
    theme has no effect on it.
    Remove these options from the default configuration file so that
    they will not mislead sysadmins. (Closes: #1105057)
  * d/greeter.dconf-defaults: Add some useful example options.
    Disabling fingerprint authentication is one of the examples given
    in the GNOME System Administration Guide. The steps from that guide
    won't actually work as-is on Debian (because we use a different
    username for the greeter, #1107944) but we can make it as easy as
    possible to do the equivalent.
    Meanwhile, disabling smartcard authentication is a way to avoid the
    presence of a smartcard having the side-effect of disabling the user
    list, and in some configurations also the ability to log in with a
    password (#1051785).
  * d/gdm3.alternatives: When smart card authentication is re-enabled,
    make gdm-smartcard-sssd-or-password the default.
    With the previous default, gdm-smartcard-sssd-exclusive, if a smart
    card was plugged in and libpam-sss was installed, we would reject
    attempts to log in with a password. This is the most-hardened choice
    if smart cards are being used for authentication, but prevents login
    if the smart card has not been enrolled for authentication and is
    actually being used for some other purpose such as OpenPGP or X509.
    (Closes: #1051785)
  * d/greeter.dconf-defaults: Disable smartcard authentication by default.
    Enabling smartcard authentication has side-effects on other aspects of
    greeter behaviour if a compatible smartcard happens to be connected:
    in particular, it disables the user list, resulting in users being
    required to type their username to log in.
    Enrolling smartcards to be used for authentication requires sysadmin
    action, so it seems reasonable to require the sysadmin to take action
    to enable it after they have done the necessary enrolment step.
    (Closes: #1051785)
  * d/p/gdm-settings-utils-rename-variable-to-fix-build-with-gcc-.patch:
    Add patch from upstream 49.alpha.0 to fix FTBFS in C23 mode.
    This won't become relevant until gcc 15 becomes the default during
    the forky cycle, but is a harmless change while we're uploading anyway.
    (Closes: #1096689)

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Jul 2025 20:08:32 +0100

gdm3 (49~beta-0ubuntu1) questing; urgency=medium

  * New upstream release
    - The greeter no longer runs under the gdm user; instead it uses a
      temporary user dynamically allocated at runtime
    - /var/lib/gdm3 is now only used for the greeter-dconf-defaults
  * d/control: Drop dependency on dbus-daemon
  * d/control: Require gnome-session 49~beta
  * d/patches: Refresh patches
  * d/rules: Drop meson options working-dir, screenshot-dir, ran-once-marker-dir
  * d/libgdm1.symbols: Add new symbols
  * d/default.pa: Drop obsolete pulseaudio workaround

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 05 Aug 2025 14:37:42 +0200

gdm3 (49~alpha.1-0ubuntu2) questing; urgency=medium

  * d/control: Drop long unused dependency on Xephyr
  * d/control: Drop dependency on Xorg

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 04 Aug 2025 14:26:18 +0200

gdm3 (49~alpha.1-0ubuntu1) questing; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 07 Jul 2025 10:35:17 +0200

gdm3 (49~alpha.0-0ubuntu1) questing; urgency=medium

  * New upstream release
  * debian/patches: Delete Drop-Nvidia-power-management-suspend-checks.patch
  * debian/patches: Refresh patches
  * debian: Disable x11 greeter

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Jun 2025 13:48:00 +0200

gdm3 (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Drop-Nvidia-power-management-suspend-checks.patch:
      - Ensure Nvidia drivers always get Wayland as the default, despite
        known issues with suspend/resume affecting Wayland more than Xorg.
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 12:37:38 -0400

gdm3 (48.0-1) unstable; urgency=medium

  * New upstream release
  * debian/gdm3.install: Install new polkit rules to allow changing
    global network settings from the login screen (LP: #2098016)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 12:33:51 -0400

gdm3 (48~beta-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Drop-Nvidia-power-management-suspend-checks.patch:
      - Ensure Nvidia drivers always get Wayland as the default, despite
        known issues with suspend/resume affecting Wayland more than Xorg.
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 10:56:26 -0500

gdm3 (48~beta-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Remove gsettings schema patch: applied in new release

  [ Marco Trevisan (Treviño) ]
  * debian/tests/sssd-gdm: Use random PIN values by default
  * debian/tests/sssd-gdm: Sync with upstream cleanups
  * d/tests/sssd-gdm-smartcard-pam-auth-tester.sh: Ensure auth fails
    with invalid cert
  * debian/tests/sssd-softhism2-certificates-tests.sh: Remove unused
    v3_ca settings

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 10:47:28 -0500

gdm3 (47.0-4) unstable; urgency=medium

  * Cherry-pick gsettings schema addition required by GNOME Shell 48 Beta

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 08:11:50 -0500

gdm3 (47.0-3ubuntu2) plucky; urgency=medium

  * d/p/u/xresources_is_a_dir.patch rewritten to fix failure to load files in
    /etc/X11/Xresources (in case the latter is a directory instead of a
    regular file). LP: #1955850.

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Mon, 02 Dec 2024 15:10:47 +0100

gdm3 (47.0-3ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Drop-Nvidia-power-management-suspend-checks.patch:
      - Ensure Nvidia drivers always get Wayland as the default, despite
        known issues with suspend/resume affecting Wayland more than Xorg.
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * Ubuntu can now use needs-sudo in autopkgtest like Debian.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 14 Nov 2024 17:42:04 +0100

gdm3 (47.0-3) unstable; urgency=medium

  * Team upload
  * d/tests/control: Don't test gdm3 on armel.
    The library is available on armel, but the daemon is not.

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Sep 2024 14:45:40 +0100

gdm3 (47.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 18 Sep 2024 09:55:29 -0400

gdm3 (47.0-1ubuntu2) oracular; urgency=medium

  [ Daniel van Vugt ]
  * Clean up Nvidia/Wayland/Xorg decision making.
    1. Drop `Revert-data-Revert-part-of-wayland-hybrid-graphics-change.patch`
       because its only purpose was to disable Wayland on hybrid machines,
       which we don't want.
    2. Drop `Revert-data-Remove-nvidia-driver-version-check.patch` because it
       introduced three bugs:
       - `GOTO="gdm_prefer_xorg"` which no longer exists (LP: #2081635)
       - `For nvidia drivers versions 470-495, prefer Xorg by default` is
         wrong because Wayland support for 470 was reinstated in Mutter 47.c
         resolving https://gitlab.gnome.org/GNOME/mutter/-/issues/3196
       - `"[5-9][1-9][0-9].*"` will eventually fail to recognise 60x and 70x
         as higher than 510.
       and does nothing useful beyond that.
    3. Fix `Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch`
       conflicts arising from dropping the other patches.
    4. Rename `Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch`
       to `Drop-Nvidia-power-management-suspend-checks.patch` and update its
       description with a more accurate justification for the patch still
       existing.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 26 Sep 2024 00:27:09 +0200

gdm3 (47.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian, containing new upstream release. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Ensure Nvidia 5xx drivers always get Wayland as the default unless
        there's a stronger reason why it won't work (like modeset has been
        disabled on the kernel command line)
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
    * Reverted debian patch to udev rules for nvidia S0ix suspend support
  * debian/patches: Revert a further upstream change to gdm udev rules
  * debian/patches: Update git indexes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 19:05:58 +0200

gdm3 (47.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release candidate 47
  * d/rules: Explicitly enable X11 support.
    If upstream disables this in some future release, we'll want it to be
    an intentional decision whether we follow that.
  * d/control: Drop dependency on libcanberra-gtk, no longer checked
  * d/control: Don't build gdm3 binary package on armel.
    gdm3 requires GNOME Shell, which is unlikely to be practically useful
    on the older ARM machines that can't run armhf or arm64. GNOME Shell
    also requires gjs, which is likely to be removed from armel.
    (Helps: #1080521)
  * Standards-Version: 4.7.0 (no changes required)
  * Update Lintian overrides
  * d/control: Add ${gir:Provides} to libgdm-dev

  [ Marco Trevisan (Treviño) ]
  * New upstream release 47.0
  * debian: Drop gdm-screenshot references, as it has been removed upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 17:32:15 +0200

gdm3 (46.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian, containing new upstream release. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Ensure Nvidia 5xx drivers always get Wayland as the default unless
        there's a stronger reason why it won't work (like modeset has been
        disabled on the kernel command line)
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
    * Reverted debian patch to udev rules for nvidia S0ix suspend support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Jul 2024 08:15:29 -0400

gdm3 (46.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Drop 2 patches applied in new release

  [ Sebastian Andrzej Siewior ]
  * Adapt autopkgtest for openssl3.2 (Closes: #1061458)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Jul 2024 07:45:23 -0400

gdm3 (46.0-2ubuntu2) oracular; urgency=medium

  * Remove the Ubuntu-specific rules that made Xorg the default for Nvidia.
    Updated Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch
    to ensure Nvidia 5xx drivers always get Wayland as the default unless
    there's a stronger reason why it won't work (like modeset has been
    disabled on the kernel command line).
    Also refresh the patch description with a more recent justification.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 18 Jun 2024 08:53:31 +0200

gdm3 (46.0-2ubuntu1) noble; urgency=medium

  * Merge with Debian, containing new upstream release. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
    * Reverted debian patch to udev rules for nvidia S0ix suspend support

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Apr 2024 07:34:16 +0200

gdm3 (46.0-2) unstable; urgency=medium

  * debian/rules: Set the distro as debian
  * debian/patches/gdm-auth-config-debian: Install hook for gdm-config.
    This is distro-specific configuration that gdm allows distro to
    configure so add the debian version for it and install it /usr/libexec
  * debian/patches: Refresh indexes
  * debian/patches: Cherry-pick upstream fixes:
     - manager: Move g-i-s chown to when PAM authentication completed
     - udev rules: Add check for nvidia S0ix suspend

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Apr 2024 06:08:42 +0200

gdm3 (46.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 08:03:50 -0400

gdm3 (46~rc-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * Drop cherry-picked JSON binary protocol patches: applied in new release
  * Add patch to revert dropping Nvidia Wayland logic

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Mar 2024 13:57:17 -0400

gdm3 (46~rc-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libjson-glib-dev
  * debian/libgdm1.symbols: Add new symbols
  * debian/gdm3.install: Install /usr/bin/gdm-config

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Mar 2024 13:41:09 -0400

gdm3 (45.0.1-3) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/control: Stop generating from d/control.in
  * d/control: Remove unnecessary B-D on systemd, udev.
    This package already build-depends on systemd-dev. (Closes: #1060507)
  * d/gdm3.lintian-overrides: Update to accomodate merged /usr
  * d/gdm3.lintian-overrides: Add an override for #1031037
  * d/source/lintian-overrides: Silence warnings for local dh-exec
    substitutions

  [ Dandan Zhang ]
  * Add loong64 to the list of architectures where gjs is available
    (Closes: #1058673)

  [ Michael Biebl ]
  * Install PAM module into /usr (Closes: #1061244)

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jan 2024 14:56:12 +0100

gdm3 (45.0.1-2) unstable; urgency=medium

  * debian/gdm3.gdm-smartcard-pkcs11-exclusive.pam: Make Smart Card module
    really exclusive
    pam_pkcs11 may stil return PAM_IGNORE in case of smart-card errors if no
    card_only is parameter is provided, potentially leading to an unexpected
    login.
    This should not be an issue anymore in recent versions of this service
    files since we always fallback to password auth, but it's still a bug
    since we should not really fallback to password if this service file is
    selected. (LP: #2017870)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 23 Dec 2023 03:29:50 +0100

gdm3 (45.0.1-1ubuntu2) noble; urgency=medium

  * debian/gdm3.gdm-smartcard-pkcs11-exclusive.pam: Make Smart Card module
    really exclusive:
    pam_pkcs11 may stil return PAM_IGNORE in case of smart-card errors if no
    card_only is parameter is provided, potentially leading to an unexpected
    login.
    This should not be a security issue anymore in recent versions of this
    service files since we always fallback to password auth, but it's still a
    bug since we should not really fallback to password if this service file is
    selected. (LP: #2017870)
  * debian/patches: Cherry-pick fix to install GDM's custom JSON proto header

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Jan 2024 17:12:51 +0100

gdm3 (45.0.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian, containing new upstream version.
  * debian/patches: Refresh
  * debian/patches: Cherry pick patches to support JSON binary protocol
  * debian/control: Build-depend on libjson-glib-dev for JSON protocol
  * debian/libgdm1.symbols: Update symbols for JSON PAM protocol support
  * Remaining changes with debian:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 01 Dec 2023 06:00:55 +0100

gdm3 (45.0.1-1) unstable; urgency=high

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/gdm3.gdm-smartcard-*: Always fallback to password auth if no SC
    pam module is installed.
    Both libpam_sss.so and libpam_pkcs11.so might be not be installed in a
    system, in such case we should not make gdm to enforce the smartcart
    authentication because that would just lock the user out if there are
    other login allowed methods.
    As per this, make these modules partially optional even in the exclusive
    mode, given that we have not a strong dependency on such modules and so
    inserting a smartcard is not enough to block a system, unless that's
    configured.
    Ideally we should not even try to proceed if the system is not fully
    configured for smartcards, but that's something that can't be easily
    controlled from modules settings, so let's just do the quickest thing.
    (Mitigates: #1051659, #1051785)
  * d/tests/sssd-softhism2-certificates-tests.sh: Cherry-pick upstream fixes

  [ Simon McVittie ]
  * New upstream release
    - Fix an intermittent crash when unlocking the screen
    - Translation updates: en_GB, ko, sv
  * d/gdm3.links: Create a dconf profile named for the Debian-gdm user.
    In upstream and Ubuntu gdm, the system username used for the greeter
    is "gdm", but in Debian, for historical reasons it is "Debian-gdm".
    Before version 45, the dconf profile name "gdm" was hard-coded,
    but since version 45 it uses a profile name that matches the system
    username (to allow gnome-initial-setup to have its own profile).
    This resulted in the gdm greeter trying to use the ordinary
    gnome.session instead of gnome-login.session, which caused login to
    fail when the gnome-session package was not installed, and caused
    settings in /etc/gdm3/greeter.dconf-defaults to be ineffective. Other
    differences between gnome.session and gnome-login.session, potentially
    including security hardening for the greeter, would also not have
    been effective.
    (Closes: #1052374, #1051671, #1051993)
  * Set high urgency for the dconf profile fix

  [ Helmut Grohne ]
  * Avoid FTBFS when systemdsystemunitdir changes in systemd.pc
    (Closes: #1052381)

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Sep 2023 13:12:44 +0100

gdm3 (45~beta-1ubuntu1) mantic; urgency=medium

   * Merge with Debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * Drop clear signal handlers patch: applied in new release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Sep 2023 09:57:44 -0400

gdm3 (45~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Sep 2023 09:28:08 -0400

gdm3 (44.1-2) unstable; urgency=medium

  * Clean up some old package relationships
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 16:10:57 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgdm1`.
